export declare const schemaWithRefs = "---\ntitle: Schema with refs\n---\n\n# Schema with refs (Swr)\n\n### Schema\n\nThis is bundled schema with refs\n\n```json jsonSchema\n{\n  \"title\": \"DerefTest\",\n  \"type\": \"object\",\n  \"description\": \"Dereferencing test object\",\n  \"properties\": {\n    \"id\": {\n      \"type\": \"string\"\n    },\n    \"inner\": {\n      \"description\": \"Inner object\",\n      \"title\": \"Inner\",\n      \"type\": \"object\",\n      \"properties\": {\n        \"id\": {\n          \"type\": \"string\"\n        },\n        \"referencedObject\": {\n          \"$ref\": \"#/properties/referencedObject\",\n          \"description\": \"Inner referenced object\"\n        }\n      },\n      \"required\": [\n        \"id\",\n        \"bookingRate\"\n      ]\n    },\n    \"referencedObject\": {\n      \"description\": \"Referenced object\",\n      \"title\": \"ReferencedObject\",\n      \"type\": \"object\",\n      \"required\": [\n        \"property1\",\n        \"property2\",\n        \"property3\"\n      ],\n      \"properties\": {\n        \"property1\": {\n          \"type\": \"integer\",\n          \"description\": \"Property 1\"\n        },\n        \"property2\": {\n          \"type\": \"string\",\n          \"description\": \"Property 2\"\n        },\n        \"property3\": {\n          \"type\": \"boolean\",\n          \"description\": \"Property 3\"\n        },\n        \"property4\": {\n          \"type\": \"string\",\n          \"enum\": [\n            \"BUSINESS\",\n            \"PERSONAL\",\n            \"OTHER\"\n          ],\n          \"x-enum-descriptions\": {\n            \"BUSINESS\": \"Enum description for BUSINESS\",\n            \"PERSONAL\": \"Enum description for PERSONAL\",\n            \"OTHER\": \"Enum description for OTHER\"\n          }\n        }\n      }\n    }\n  },\n  \"required\": [\n    \"id\",\n    \"inner\",\n    \"referencedObject\"\n  ]\n}\n```";
